<?php

ini_set('error_reporting', E_ALL);
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);

include './config.php';
include './libs/router.php';
include './libs/controller.php';
include './models/flux_forums.php';

$router = new Router();

$router->add([
  'activeTopics' => [
    'CB' => function(){
      global $conf;
      include './controllers/activeTopics.php';
      $page = new Page('activeTopics', $conf);
      $page->prepare();
      echo $page->show();
    }
  ]
]);

$router->process();

?>
