<?php

class Controller
{

  public $template = __workfolder.'views/index.php';
  public $data;
  public $curpage;

  function __construct($curpage, $config) {
    $this->curpage = $curpage;
    $this->config = $config;
    $this->data = [];
  }

  function __destruct() {
  
  }
  
  public function view($file, $data = []) {
    if (file_exists($file)) {
      extract($data);
      ob_start();
      require($file);
      $output = ob_get_contents();
      ob_end_clean();
      return $output;
    } else {
      echo('Error: Could not load template ' . $file . '!');
      exit();
    }
  }
  
  public function prepare() {
  
  }
  
  public function render() {
  
  }
  
  public function redirect($path){
    header('location: '.__siteurl.$path);
    die();
  }
  
  public function show() {
    return $this->view($this->template, $this->data);
  }
}

?>
